package com.ruoyi.models.mapper;

import java.util.List;
import com.ruoyi.models.domain.BizSubModule;

/**
 * 子模块Mapper接口
 */
public interface BizSubModuleMapper
{
    public BizSubModule selectBizSubModuleBySubId(Long subId);

    public List<BizSubModule> selectBizSubModuleList(BizSubModule subModule);

    public int insertBizSubModule(BizSubModule subModule);

    public int updateBizSubModule(BizSubModule subModule);

    public int deleteBizSubModuleBySubId(Long subId);

    public int deleteBizSubModuleBySubIds(Long[] subIds);

    public List<BizSubModule> selectByModuleId(Long moduleId);
}


